Package proton :: Module wrapper :: Class Wrapper

[frames] | no frames]

# Class Wrapper

source code

    object --+
             |
            Wrapper

Known Subclasses:
  - reactor.Acceptor
  - , Connection
  - , Delivery
  - , Event
  - , Link
  - , reactor.Reactor
  - , SASL
  - , Selectable
  - , Session
  - , reactor.Task
  - , Transport
  - , WrappedHandler

Instance Methods

__init__(self, impl_or_constructor, get_context=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__getattr__(self, name) | source code

__setattr__(self, name, value) x.__setattr__('name', value) <==> x.name = value | source code

__delattr__(self, name) x.__delattr__('name') <==> del x.name | source code

__hash__(self) hash(x) | source code

__eq__(self, other) | source code

__ne__(self, other) | source code

__del__(self) | source code

__repr__(self) repr(x) | source code

Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, impl_or_constructor, get_context=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __setattr__(self, name, value)

source code

x.__setattr__('name', value) <==> x.name = value

Overrides: object.__setattr__
  (inherited documentation)

### __delattr__(self, name)

source code

x.__delattr__('name') <==> del x.name

Overrides: object.__delattr__
  (inherited documentation)

### __hash__(self)
(Hashing function)

source code

hash(x)

Overrides: object.__hash__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)